Bug 34375 - enhancements for mod_include
Summary: enhancements for mod_include
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_include (show other bugs)
Version: 2.1-HEAD
Hardware: All All
: P2 enhancement (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate, PatchAvailable
Depends on:
Blocks:
 
Reported: 2005-04-08 18:18 UTC by David McKellar
Modified: 2018-11-07 21:09 UTC (History)
0 users



Attachments
diff -u mod_include.c-old mod_include.c (5.30 KB, patch)
2005-04-08 18:20 UTC, David McKellar
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David McKellar 2005-04-08 18:18:25 UTC
My first patch so be gentle, please.
I use mod_include (SSI) a lot and find the follow to be useful.

I added a new TEXT parameter to the ECHO command so you can now do:

<!--#echo text="The time here is " var="DATE_LOCAL" text=" and the universal
time is " var="DATE_GMT"-->

The new LOG directive gives you handy access to the Apache log from an
 html page:

<!--#log text="User " var="USER_NAME" text=" accessed the home page"-->

It has the same syntax as ECHO.

Sometimes I want a comment in a source html file to myself but I don't
want the world to see it.  This patch adds a COMMENT directive:

<!--#comment text="here comes some marketing lingo"-->

I am sure these changes will be useful to others.
-dave
Comment 1 David McKellar 2005-04-08 18:20:26 UTC
Created attachment 14665 [details]
 diff -u mod_include.c-old  mod_include.c
Comment 2 William A. Rowe Jr. 2005-11-08 18:12:11 UTC
Do NOT change bug ownership.
Comment 3 William A. Rowe Jr. 2018-11-07 21:09:35 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.